# $Revision: 1.19 $, $Date: 2012/01/15 21:39:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Image
%define		pnam	Base
Summary:	Image::Base perl module
Summary(pl.UTF-8):	Moduł perla Image::Base
Name:		perl-Image-Base
Version:	1.16
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	493dad8c06dcab2a65e5ff717e8da80e
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Base class for loading, manipulating and saving images.

%description -l pl.UTF-8
Bazowa klasa do ładowania, manipulowania i zapisywania obrazków.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Image/*
%{_mandir}/man[3]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Image-Base.spec,v $
Revision 1.19  2012/01/15 21:39:00  zbyniu
- up to 1.16

Revision 1.18  2008/07/27 22:37:35  arekm
- release 4

Revision 1.17  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.15  2004/11/03 22:30:27  paladine
- formatting

Revision 1.14  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.13  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/24 16:26:49  ankry
- test added

Revision 1.11  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.10  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/24 20:31:56  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:34:05  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/07/10 08:47:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package

